# @(#)font.properties.el	1.2 97/03/03
#
#  Copyright (c) 1994-1996 by Sun Microsystems Inc
#
# Generic AWT Font default Properties 8859-7 locales in Solaris 2.6 
#

# Serif font definition
#
serif.plain.0=-adobe-times-medium-r-normal--*-%d-*-*-p-*-iso8859-1
serif.1=-ibm-roman-medium-r-normal--*-%d-*-*-c-*-ucs2_iso8859-7
serif.2=-adobe-symbol-medium-r-normal--*-%d-*-*-p-*-adobe-fontspecific

serif.italic.0=-adobe-times-medium-i-normal--*-%d-*-*-p-*-iso8859-1
serif.bold.0=-adobe-times-bold-r-normal--*-%d-*-*-p-*-iso8859-1
serif.bolditalic.0=-adobe-times-bold-i-normal--*-%d-*-*-p-*-iso8859-1

# SansSerif font definition
#
sansserif.plain.0=-adobe-helvetica-medium-r-normal--*-%d-*-*-p-*-iso8859-1
sansserif.1=-ibm-ergonomic-medium-r-normal-iso9241-*-%d-*-*-c-*-ucs2_iso8859-7
sansserif.2=-adobe-symbol-medium-r-normal--*-%d-*-*-p-*-adobe-fontspecific

sansserif.italic.0=-adobe-helvetica-medium-o-normal--*-%d-*-*-p-*-iso8859-1
sansserif.bold.0=-adobe-helvetica-bold-r-normal--*-%d-*-*-p-*-iso8859-1
sansserif.bolditalic.0=-adobe-helvetica-bold-o-normal--*-%d-*-*-p-*-iso8859-1

# Monospaced font definition
#
monospaced.plain.0=-adobe-courier-medium-r-normal--*-%d-*-*-m-*-iso8859-1
monospaced.1=-ibm-block-medium-r-normal--*-%d-*-*-c-*-ucs2_iso8859-7
monospaced.2=-adobe-symbol-medium-r-normal--*-%d-*-*-p-*-adobe-fontspecific

monospaced.italic.0=-adobe-courier-medium-o-normal--*-%d-*-*-m-*-iso8859-1
monospaced.bold.0=-adobe-courier-bold-r-normal--*-%d-*-*-m-*-iso8859-1
monospaced.bolditalic.0=-adobe-courier-bold-o-normal--*-%d-*-*-m-*-iso8859-1

# Dialog font definition
#
dialog.plain.0=-b&h-lucida-medium-r-normal-sans-*-%d-*-*-p-*-iso8859-1
dialog.1=-ibm-roman-medium-r-normal--*-%d-*-*-c-*-ucs2_iso8859-7
dialog.2=-adobe-symbol-medium-r-normal--*-%d-*-*-p-*-adobe-fontspecific

dialog.italic.0=-b&h-lucida-medium-i-normal-sans-*-%d-*-*-p-*-iso8859-1
dialog.bold.0=-b&h-lucida-bold-r-normal-sans-*-%d-*-*-p-*-iso8859-1
dialog.bolditalic.0=-b&h-lucida-bold-i-normal-sans-*-%d-*-*-p-*-iso8859-1

# DialogInput font definition
#
dialoginput.plain.0=-b&h-lucidatypewriter-medium-r-normal-sans-*-%d-*-*-m-*-iso8859-1
dialoginput.1=-ibm-roman-medium-r-normal--*-%d-*-*-c-*-ucs2_iso8859-7
dialoginput.2=-adobe-symbol-medium-r-normal--*-%d-*-*-p-*-adobe-fontspecific

dialoginput.italic.0=-b&h-lucidatypewriter-medium-r-normal-sans-*-%d-*-*-m-*-iso8859-1
dialoginput.bold.0=-b&h-lucidatypewriter-bold-r-normal-sans-*-%d-*-*-m-*-iso8859-1
dialoginput.bolditalic.0=-b&h-lucidatypewriter-bold-r-normal-sans-*-%d-*-*-m-*-iso8859-1

# Default font definition
#
default.char=003f

# name aliases
#
alias.timesroman=serif
alias.helvetica=sansserif
alias.courier=monospaced

# for backward compatibility
zapfdingbats.0=-adobe-symbol-medium-r-normal--*-%d-*-*-p-*-adobe-fontspecific

# Static FontCharset info.
#
# This information is used by the font which is not indexed by Unicode.
# Such fonts can use their own subclass of FontCharset.
#
# This information can be overriden by describing more specific style.
# For example
#
#  fontcharset.serif.plain.3=SpecialSymbols
#  means serif.plain.3 font's index can be retrieved with the convert() method
#  of instance of SpecialSymbols and what kind of characters serif.plain.3 font
#  has can be judged with the isCovered() method of instance of SpecialSymbols.
#
fontcharset.serif.0=sun.io.CharToByte8859_1 
fontcharset.serif.1=sun.io.CharToByteUnicodeBig
fontcharset.serif.2=sun.awt.CharToByteSymbol


fontcharset.sansserif.0=sun.io.CharToByte8859_1
fontcharset.sansserif.1=sun.io.CharToByteUnicodeBig
fontcharset.sansserif.2=sun.awt.CharToByteSymbol


fontcharset.monospaced.0=sun.io.CharToByte8859_1
fontcharset.monospaced.1=sun.io.CharToByteUnicodeBig
fontcharset.monospaced.2=sun.awt.CharToByteSymbol


fontcharset.dialog.0=sun.io.CharToByte8859_1
fontcharset.dialog.1=sun.io.CharToByteUnicodeBig
fontcharset.dialog.2=sun.awt.CharToByteSymbol


fontcharset.dialoginput.0=sun.io.CharToByte8859_1
fontcharset.dialoginput.1=sun.io.CharToByteUnicodeBig
fontcharset.dialoginput.2=sun.awt.CharToByteSymbol


# exclusion info.
#
# This information describe exclusion ranges for each fonts.
#
# 'exclusion.serif.plain.0' overrides 'exclusion.serif.0', and
# 'exclusion.serif.0' overrides exclusion.0, and so on.
#

# XFontSet string
# X11 only properties
#
fontset.serif.plain=\
-adobe-times-medium-r-normal--*-%d-*-*-p-*-iso8859-1,\
-ibm-roman-medium-r-normal--*-%d-*-*-c-*-ucs2_iso8859-7

fontset.serif.italic=\
-adobe-times-medium-i-normal--*-%d-*-*-p-*-iso8859-1,\
-ibm-roman-medium-r-normal--*-%d-*-*-c-*-ucs2_iso8859-7

fontset.serif.bold=\
-adobe-times-bold-r-normal--*-%d-*-*-p-*-iso8859-1,\
-ibm-roman-medium-r-normal--*-%d-*-*-c-*-ucs2_iso8859-7

fontset.serif.bolditalic=\
-adobe-times-bold-i-normal--*-%d-*-*-p-*-iso8859-1,\
-ibm-roman-medium-r-normal--*-%d-*-*-c-*-ucs2_iso8859-7


fontset.sansserif.plain=\
-adobe-helvetica-medium-r-normal--*-%d-*-*-p-*-iso8859-1,\
-ibm-ergonomic-medium-r-normal-iso9241-*-%d-*-*-c-*-ucs2_iso8859-7

fontset.sansserif.italic=\
-adobe-helvetica-medium-o-normal--*-%d-*-*-p-*-iso8859-1,\
-ibm-ergonomic-medium-r-normal-iso9241-*-%d-*-*-c-*-ucs2_iso8859-7

fontset.sansserif.bold=\
-adobe-helvetica-bold-r-normal--*-%d-*-*-p-*-iso8859-1,\
-ibm-ergonomic-medium-r-normal-iso9241-*-%d-*-*-c-*-ucs2_iso8859-7

fontset.sansserif.bolditalic=\
-adobe-helvetica-bold-o-normal--*-%d-*-*-p-*-iso8859-1,\
-ibm-ergonomic-medium-r-normal-iso9241-*-%d-*-*-c-*-ucs2_iso8859-7


fontset.monospaced.plain=\
-adobe-courier-medium-r-normal--*-%d-*-*-m-*-iso8859-1,\
-ibm-block-medium-r-normal--*-%d-*-*-c-*-ucs2_iso8859-7

fontset.monospaced.italic=\
-adobe-courier-medium-o-normal--*-%d-*-*-m-*-iso8859-1,\
-ibm-block-medium-r-normal--*-%d-*-*-c-*-ucs2_iso8859-7

fontset.monospaced.bold=\
-adobe-courier-bold-r-normal--*-%d-*-*-m-*-iso8859-1,\
-ibm-block-medium-r-normal--*-%d-*-*-c-*-ucs2_iso8859-7

fontset.monospaced.bolditalic=\
-adobe-courier-bold-o-normal--*-%d-*-*-m-*-iso8859-1,\
-ibm-block-medium-r-normal--*-%d-*-*-c-*-ucs2_iso8859-7


fontset.dialog.plain=\
-b&h-lucida-medium-r-normal-sans-*-%d-*-*-p-*-iso8859-1,\
-ibm-roman-medium-r-normal--*-%d-*-*-c-*-ucs2_iso8859-7

fontset.dialog.italic=\
-b&h-lucida-medium-i-normal-sans-*-%d-*-*-p-*-iso8859-1,\
-ibm-roman-medium-r-normal--*-%d-*-*-c-*-ucs2_iso8859-7

fontset.dialog.bold=\
-b&h-lucida-bold-r-normal-sans-*-%d-*-*-p-*-iso8859-1,\
-ibm-roman-medium-r-normal--*-%d-*-*-c-*-ucs2_iso8859-7

fontset.dialog.bolditalic=\
-b&h-lucida-bold-i-normal-sans-*-%d-*-*-p-*-iso8859-1,\
-ibm-roman-medium-r-normal--*-%d-*-*-c-*-ucs2_iso8859-7


fontset.dialoginput.plain=\
-b&h-lucidatypewriter-medium-r-normal-sans-*-%d-*-*-m-*-iso8859-1,\
-ibm-roman-medium-r-normal--*-%d-*-*-c-*-ucs2_iso8859-7

fontset.dialoginput.italic=\
-b&h-lucidatypewriter-medium-r-normal-sans-*-%d-*-*-m-*-iso8859-1,\
-ibm-roman-medium-r-normal--*-%d-*-*-c-*-ucs2_iso8859-7

fontset.dialoginput.bold=\
-b&h-lucidatypewriter-bold-r-normal-sans-*-%d-*-*-m-*-iso8859-1,\
-ibm-roman-medium-r-normal--*-%d-*-*-c-*-ucs2_iso8859-7

fontset.dialoginput.bolditalic=\
-b&h-lucidatypewriter-bold-r-normal-sans-*-%d-*-*-m-*-iso8859-1,\
-ibm-roman-medium-r-normal--*-%d-*-*-c-*-ucs2_iso8859-7


#
fontset.default=\
-adobe-times-medium-r-normal--*-%d-*-*-p-*-iso8859-1,\
-ibm-roman-medium-r-normal--*-%d-*-*-c-*-ucs2_iso8859-7
#
